#
# spec file for package openvpn (Version 1.4.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool openssl-devel perl rpm

Name:         openvpn
URL:          http://openvpn.sourceforge.net/
License:      GPL, LGPL
Group:        Productivity/Networking/Security
#Requires:     xforms
Autoreqprov:  on
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq
%endif
Version:      1.4.2
Release:      70
Summary:      Create VPN over Wireless and Ethernet Networks using a Tun Device
Source:       openvpn-%{version}.tar.gz
Source1:      lzo-1.08.tar.gz
Source2:      openvpn.init
Patch1:       openvpn-1.4.3-sslerrqfix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Patch:  dvgrab.dif

%description
Create VPN over wireless and ethernet networks using a tun device.



Authors:
--------
    James Yonan <jim@yonan.net>

%prep
%setup
%setup -T -D -b1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -Wall"
cd ../lzo-1.08
./configure --prefix=/usr --libdir=%_libdir --disable-shared
make
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd ../%{name}-%{version}
./configure --prefix=/usr --enable-pthread \
	--with-lzo-headers=$RPM_BUILD_ROOT/usr/include \
	--with-lzo-lib=$RPM_BUILD_ROOT%_libdir \
	--mandir=%_mandir
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove lzo
rm -rf $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT%_libdir
mkdir -p $RPM_BUILD_ROOT/etc/openvpn
mkdir -p $RPM_BUILD_ROOT/var/run/openvpn
install -D -m 755 $RPM_SOURCE_DIR/openvpn.init $RPM_BUILD_ROOT/etc/init.d/openvpn
ln -sv ../../etc/init.d/openvpn $RPM_BUILD_ROOT/usr/sbin/rcopenvpn

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -f}
%if %suse_version > 820

%preun
%stop_on_removal openvpn
%endif

%postun
%if %suse_version > 820
%restart_on_update openvpn
%endif
%insserv_cleanup

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT.GPL INSTALL ChangeLog PORTS README easy-rsa/ sample-config-files/
%doc sample-keys/ sample-scripts/
/usr/sbin/openvpn
%doc %{_mandir}/man8/openvpn.8.gz
%config(noreplace) /etc/openvpn/
%config /etc/init.d/openvpn
/usr/sbin/rcopenvpn
%dir /var/run/openvpn

%changelog -n openvpn
* Fri Aug 26 2005 - poeml@suse.de
- Security Fix -- DoS attack against server when run with "verb 0" and
  without "tls-auth".  If a client connection to the server fails
  certificate verification, the OpenSSL error queue is not properly
  flushed, which can result in another unrelated client instance on the
  server seeing the error and responding to it, resulting in disconnection
  of the unrelated client (CAN-2005-2531).  Affects OpenVPN 1.x and 2.0.
  [#106258]
* Sun Sep 07 2003 - poeml@suse.de
- add an init script
- use RPM_OPT_FLAGS
- add /var/run/openvpn directory for pid files
* Thu Jul 31 2003 - wengel@suse.de
- update to new version -> 1.4.2
* Tue May 27 2003 - coolo@suse.de
- use BuildRoot
- package a bit more straightforward
* Mon May 19 2003 - wengel@suse.de
- update to version 1.4.1
* Mon Jan 20 2003 - wengel@suse.de
- initial package
